Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::CSVToGraphDataMapping Class Reference

Interface to map CSV rows to graph elements. More...

`#include <CSVGraphImport.h>`

Inheritance diagram for tlp::CSVToGraphDataMapping:
[legend]

List of all members.

## Public Member Functions

- virtual ~CSVToGraphDataMapping ()
- virtual std::pair
  < tlp::ElementType, unsigned
  int > getElementForRow (const std::vector< std::string > &tokens)=0
- virtual void init (unsigned int rowNumber)=0

## Detailed Description

Interface to map CSV rows to graph elements.

To build the mapping user had to parse the CSV file.

     CSVParser *parser;
     CSVToGraphDataMapping *mapping;
     parser->parse(mapping);
     //Now the mapping has been built.
     //Get the element for the first row.
     pair<tlp::ElementType,unsigned int> element = mapping->getElementForRow(0);

## Constructor & Destructor Documentation

virtual tlp::CSVToGraphDataMapping::~CSVToGraphDataMapping | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual std::pair<tlp::ElementType,unsigned int> tlp::CSVToGraphDataMapping::getElementForRow | ( | const std::vector< std::string > & | tokens | ) | `[pure virtual]`

Implemented in tlp::AbstractCSVToGraphDataMapping, tlp::CSVToNewNodeIdMapping, and tlp::CSVToGraphEdgeSrcTgtMapping.

virtual void tlp::CSVToGraphDataMapping::init | ( | unsigned int | rowNumber | ) | `[pure virtual]`

Implemented in tlp::AbstractCSVToGraphDataMapping, tlp::CSVToNewNodeIdMapping, tlp::CSVToGraphNodeIdMapping, and tlp::CSVToGraphEdgeSrcTgtMapping.

Tulip Software by LaBRI Visualization Team 2001 - 2012